##### ssl::context::set_verify_depth (2 of 2 overloads)

Set the peer verification depth.

    void set_verify_depth(
        int depth,
        asio::error_code & ec);

This function may be used to configure the maximum verification depth allowed by the context.

###### Parameters

depth

  Maximum depth for the certificate chain verification that shall be allowed.

ec

  Set to indicate what error occurred, if any.

###### Remarks

Calls `SSL_CTX_set_verify_depth`.